Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.cellml
Class CellMLModelWriter

    biouml.plugins.cellml.CellMLSupport
      |
      +--biouml.plugins.cellml.CellMLModelWriter

public class CellMLModelWriter
extends CellMLSupport

Writes diagram in SBML format. SbmlModelWriter can correctly process following types of diagram:

- SbmlDiagramType
- PathwaySimulationDiagramType. This standard BioUML diagram type is most closely corresponds to SBML diagram type
- PathwayDiagramType

Reactant and product are obligatory elements of SBML reaction, but it BioUML allows user to create reaction without reactants or products. So to respect SBML requirements REACTANT_STUB or PRODUCT_STUB can be added into reaction and model.

SbmlModelReader can recognise such stubs and remove them from model automatically. Thus "_in_empty_set" (REACTANT_STUB) and "_out_empty_set" are reserved key words that should not be used as specie names.

pending SName validation, warn if specie list or reaction list is empty.

Constructor Summary
`CellMLModelWriter(File outFile)`

Method Summary
`void` | `write(Diagram sourceDiagram)`
`void` | `write(Diagram sourceDiagram, Transformer transformer)`

Methods inherited from class biouml.plugins.cellml.CellMLSupport
`getElement`

Constructor Detail

### CellMLModelWriter

    public CellMLModelWriter(File outFile)
                        throws java.lang.Exception

Method Detail

### write

    public void write(Diagram sourceDiagram)
                throws java.lang.Exception

### write

    public void write(Diagram sourceDiagram, Transformer transformer)
                throws java.lang.Exception

Association Links

to Class java.util.List

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM